Pre-Wikimania Hackathon 2016 Content Work
Closed, ResolvedPublic

Description

OK! Seriously sorry for the delay on any communication here.

This is what we are facing / things that you can help with / start thinking about / start working on:

  • 10% of the hackathon participants are expected to be non technical, tech curious people. I will have a better idea from the registration specifically what their interests are and expectations are soon. For now we have to start coming up with a plan for these people to get some value from the hackathon. Some of them will want to learn about wikimedia tech, others can probably jump in and help with translation work.
  • We should have between 10 -20 local Italian developers who are not already working on mediawiki / wikimedia projects. We will need a plan for on boarding them and getting them engaged. @Aklapper will be running his usual "Intro to Wikimedia Tech" and "Intro to Phabricator" sessions however we should have more than that.
  • We will have some designers who are not developers. We need a way for these guys to find projects and find ways to help.
  • We need to get people who are attending the hackathon and don't already have a project or something in mind to work on starting to think about community wish list ideas. Maybe coming up with an easy to understand and complete way to start getting people involved directly from the hackathon page: https://wikimania2016.wikimedia.org/wiki/Hackathon Edit away as you see fit.
  • It would be good to help people to start self organizing and m on their own projects too if we can think of ways that would be helpful to the participants.

What I can send you:

  1. It will take a little while to compile, but I will send you the list of motivations for attending that the non-technical people have
  2. I can send you a list of names and user names and hackathon ideas from the registration list

Bottom line, there is always a better way to engage people and enable people at hackathons. We do it one way now, but that is not the way we need to do it. Lets come up with new ideas that are friendly to everyone - not just those that are comfortable with Phabricator and wikis.

Sorry to be so rushed, I wanted to write something instead of putting it off for longer!

@Qgil please add more things that need to be done in advance of the hackathon to this task

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedRfarrand
ResolvedQuiddity
ResolvedQgil
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedTrizek-WMF
ResolvedAklapper
OpenNone
ResolvedTrizek-WMF
DeclinedTrizek-WMF
Resolvedmatej_suchanek
ResolvedMvolz
OpenNone
ResolvedMvolz
ResolvedTrizek-WMF
OpenNone
ResolvedNone
ResolvedMvolz
ResolvedMvolz
ResolvedAcamicamacaraca
OpenNone
ResolvedTiven2240
ResolvedMvolz
ResolvedNone
OpenNone
OpenNone
DeclinedTrizek-WMF
ResolvedMvolz
ResolvedAklapper
ResolvedQuiddity
Rfarrand created this task.Apr 13 2016, 7:51 PM
Rfarrand triaged this task as Normal priority.

Designers - WMF UX people, get them involved with this.

Qgil added a comment.Apr 28 2016, 1:38 PM

See https://www.mediawiki.org/wiki/Hackathons#Planning_and_scheduling_content_before_the_hackathon for an ideal scenario.

Since Wikimania participation is basically all set, there is no need to put attention on the outreach developer activities.

Qgil added a subscriber: Elitre.Apr 29 2016, 9:18 AM

Now there is a suggestion about having estable wiki pages for these sessions that we repeat in multiple events: https://www.mediawiki.org/wiki/Hackathons#Preparing_the_schedule

Andre has somewhere some notes that could serve as sarting point for a page about his "Introduction to Phabricator" session.

Also, thanks to a casual email conversation started by @Rfarrand that ended up being connected with a Phabricator for real beginners workshop by @Elitre at the Wikimedia Conference, we also have some material to start this other page about such hands-on workshop (which we could have in Wikimania's Hackathon as well).

Qgil renamed this task from Pre-Hackathon Content Work! to Pre-Wikimania Hackathon 2016 Content Work.Apr 29 2016, 9:19 AM

https://www.mediawiki.org/wiki/Hackathons#Planning_and_scheduling_content_before_the_hackathon

Activities for newcomers. A track of introductory sessions is pre-scheduled with all the details and links to resources, allowing newcomers to prepare in advance. For instance:
...
Other workshops around clonable microtasks, from the Google Code-in pool or similar kinds i.e. Adding TemplateData to templates.

In our last Technical Collaboration meeting @Johan mentioned that @Halfak and @Ladsgroup are looking for help from volunteer to bring ORES to more wikis. Could this be one of these activities supported by a workshop that we target on newcomers?

Ladsgroup added a comment.EditedMay 5 2016, 9:51 AM

Hey @Qgil,
@Halfak won't be at the Wikimania this year, but I will be there [1] and we are actually planning to have such activities in the hackathon. That's what we've got so far:

  • For languages that we are not supporting yet. It would be great to have a native speaker reviewing our list of bad words that we generate automatically. It doesn't require any knowledge about Wikipedia or any technical background. I'm running this generator for all languages with more than 100K articles (excluding botpedias (TM) such as cebwiki)
  • For languages that already have ORES reverted model but not the damaging model (I explained the difference in this post) We need people to go through Wikipedia:Labels and label some edits. If we can have a training session for labeling edits, that would be great. Biggest problem right now is that if several people try to use our labeling system at the same time. It acts strangely (T130872: [Investigate] Intermittent performance issues with wikilabels). We are making a lot of performance improvements and It'll probably be solved by the time of Wikimania.
  • For languages that have damaging model, We can work on enabling MediaWiki-extensions-ORES Some translations in translatewiki would be needed and someone with access to prod to deploy changes and run some maintenance scripts. IIRC, We can't deploy the extension at the time of Wikimania since there is no deployment window traditionally when Wikimania is holding but we can make progress to do it right after the conference.

[1] Like always depends on visa but 1- It'll be determined in May 8th. 2- It's very likely to get it.

Qgil added a comment.May 5 2016, 11:24 AM

Thank you @Ladsgroup! Feel free to create a task to track these ORES activities. When you do this, mark it as blocker of this task, please.

I will help labeling the damage and good faith samples on arwiki

Zache added a subscriber: Zache.May 17 2016, 8:59 AM
Qgil closed this task as Resolved.Jun 28 2016, 6:49 PM

This was completed successfully.